Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/check-mirrors8
-rwxr-xr-xconf/master.conf.example1
-rwxr-xr-xlib/load-configuration4
3 files changed, 13 insertions, 0 deletions
diff --git a/bin/check-mirrors b/bin/check-mirrors
index 8e782d5..d0b626c 100755
--- a/bin/check-mirrors
+++ b/bin/check-mirrors
@@ -5,6 +5,14 @@
if [ $# -eq 0 ]; then
+# Create a lock file.
+
+ exec 9> "${check_mirrors_lock_file}"
+ if ! verbose_flock 9; then
+ >&2 echo 'come back (shortly) later - I cannot lock check-mirrors.'
+ exit
+ fi
+
echo 'updating mirrors from git...' >&2
if [ -d "${releng_directory}/.git" ]; then
diff --git a/conf/master.conf.example b/conf/master.conf.example
index 1afddbb..a11e415 100755
--- a/conf/master.conf.example
+++ b/conf/master.conf.example
@@ -39,6 +39,7 @@
#mysql_command='mysql buildmaster'
#build_list_lock_file="${work_dir}/build-list.lock"
+#check_mirrors_lock_file="${work_dir}/check-mirrors.lock"
#harvest_commit_times_lock_file="${work_dir}/harvest-commit-times.lock"
#package_database_lock_file="${work_dir}/package-database.lock"
#sanity_check_lock_file="${work_dir}/sanity-check.lock"
diff --git a/lib/load-configuration b/lib/load-configuration
index 4c825f1..903d65f 100755
--- a/lib/load-configuration
+++ b/lib/load-configuration
@@ -166,6 +166,10 @@ if [ -z "${build_list_lock_file}" ]; then
build_list_lock_file="${work_dir}/build-list.lock"
fi
+if [ -z "${check_mirrors_lock_file}" ]; then
+ check_mirrors_lock_file="${work_dir}/check-mirrors.lock"
+fi
+
if [ -z "${harvest_commit_times_lock_file}" ]; then
harvest_commit_times_lock_file="${work_dir}/harvest-commit-times.lock"
fi